#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4aea463f, "crc32_le_shift" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xc5850110, "printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb6c2d68, "pv_ops" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D7A7C7A3BAFE85A5119498C");
